#!/bin/bash

if [[ $1 == "" ]] || [[ $1 == "-h" ]] || [[ $1 == "--help" ]] || [[ $2 == "" ]]; then
    echo "usage: $0 USERNAME ROLE [ SERVER ]";
    exit 0;
fi

USERNAME=$1
ROLE=$2
SERVER=$3

if [[ $SERVER == "" ]]; then
    SERVER=http://localhost:5000
fi

echo "Assigning role $ROLE to User $USERNAME"
curl --header "Content-Type: application/json" \
     --request POST \
     --data '{"query": "mutation {addRoleToUser(username: \"'$USERNAME'\", role: \"'$ROLE'\"){user{username, roles{edges{node{name}}}}}}" }' \
     $SERVER/graphql
