#!/bin/bash

if [[ $1 == "" ]] || [[ $1 == "-h" ]] || [[ $1 == "--help" ]] || [[ $2 == "" ]]; then
    echo "usage: $0 USERNAME APPLICATION [ SERVER ]";
    exit 0;
fi

USERNAME=$1
APPLICATION=$2
SERVER=$3

if [[ $SERVER == "" ]]; then
    SERVER=http://localhost:5000
fi

echo "Granting access to application $APPLICATION to User $USERNAME"
curl --header "Content-Type: application/json" \
     --request POST \
     --data '{"query": "mutation {addApplicationToUser(username: \"'$USERNAME'\", application: \"'$APPLICATION'\"){user{username, applications{edges{node{name}}}}}}" }' \
     $SERVER/graphql
