const nuxtConfig = require('../../nuxt.config')
const API_URL = nuxtConfig.env.BACKEND_API_URL || 'http://localhost:5000/graphql'
const { Router } = require('express')
import OpenAppStackModel from '../model.js'

const router = Router()

router.use(function(req, res, next) {
  var backend = new OpenAppStackModel(API_URL);
  const username = req.user.name;
  if( req.method === 'GET'){
    backend.user(username)
      .then(
        user => res.json(user),
        error => next(error));
  }
  else if( req.method === 'POST'){
    var newEmail = req.body.email;
    var newPassword = req.body.password;
    backend.editUser(username, newEmail, newPassword)
      .then(
        ok => res.json(ok),
        error => next(error));
  }
});

module.exports = router
