module.exports = {
  server: {
    host: process.env.HOST || '0.0.0.0'
  },
  env: {
    BACKEND_API_URL: process.env.BACKEND_API_URL,
    baseUrl: process.env.BASE_URL
  },
  serverMiddleware: [
    '~/api/index.js'
  ],
  meta: [
    { charset: 'utf-8' },
    { name: 'viewport', content: 'width=device-width, initial-scale=1' }
  ],
  modules: ['bootstrap-vue/nuxt', '@nuxtjs/axios', '@nuxtjs/auth'],
  auth: {
    redirect: {
      callback: '/callback'
    },
    strategies: {
      oas: {
      _scheme: 'oauth2',
      base_url: process.env.HYDRA_BASE_URL,
      authorization_endpoint: process.env.AUTHORIZE_URL,
      userinfo_endpoint: process.env.USERINFO_URL,
      scope: ['openid', 'profile', 'email', 'stackspin_roles'],
      access_token_endpoint: process.env.ACCESS_TOKEN_URL,
      response_type: 'token',
      token_type: 'Bearer',
      redirect_uri: process.env.REDIRECT_URL,
      client_id: process.env.OAUTH_CLIENT_ID,
      client_secret: process.env.OAUTH_CLIENT_SECRET,
      }
    },
    scopeKey: "stackspin_roles"
  }
}


