# NOTE: These default values have very bad values for secrets, do NOT use this
# in production!
export HOST="localhost"
export REMOTE_HOST="localhost"
export BACKEND_API_URL=http://$REMOTE_HOST:5003/graphql
export BASE_URL=http://$HOST:3000
export HYDRA_BASE_URL=http://$REMOTE_HOST:4444
export AUTHORIZE_URL=http://$REMOTE_HOST:4444/oauth2/auth
export USERINFO_URL=http://$REMOTE_HOST:4444/userinfo
export ACCESS_TOKEN=http://$REMOTE_HOST:4444/oauth2/token
export REDIRECT_URL=http://$HOST:3000/callback
export OAUTH_CLIENT_ID=user-panel
# Change this if you run in production
export OAUTH_CLIENT_SECRET=secret_secret

set -e

# Delete old user-panel config
curl -X DELETE http://$REMOTE_HOST:4445/clients/user-panel

# Add new user-panel config
curl --header "Content-Type: application/json" \
     --request POST \
     --data "{\"client_id\": \"user-panel\",
              \"client_name\": \"user-panel\",
              \"client_secret\": \"$OAUTH_CLIENT_SECRET\",
              \"client_uri\": \"$HOST:3000\",
              \"logo_uri\": \"\",
              \"redirect_uris\": [\"$REDIRECT_URL\"],
              \"scope\": \"openid profile email stackspin_roles\",
              \"grant_types\": [\"implicit\"],
              \"response_types\": [\"token\"],
              \"token_endpoint_auth_method\": \"client_secret_basic\"}" \
     http://$REMOTE_HOST:4445/clients

# Change "password" to a good password if you run this in production
# bash ../backend/utils/create-user.bash admin password admin@example.net
# bash ../backend/utils/create-application.bash user-panel userpaneldescription
# bash ../backend/utils/grant-access.bash admin user-panel $REMOTE_HOST:5002
# bash ../backend/utils/create-role.bash admin $REMOTE_HOST:5002
# bash ../backend/utils/create-role.bash dev $REMOTE_HOST:5002
# bash ../backend/utils/assign-role.bash admin admin $REMOTE_HOST:5002

docker-compose exec backend ./utils/create-user.bash admin password admin@example.net
docker-compose exec backend ./utils/create-application.bash user-panel "this is the userpanel"
docker-compose exec backend ./utils/grant-access.bash admin user-panel
docker-compose exec backend ./utils/create-role.bash admin
docker-compose exec backend ./utils/create-role.bash dev
docker-compose exec backend ./utils/assign-role.bash admin admin

npm run dev
