var resolve = require('path').resolve
var Nuxt = require('nuxt').Nuxt
var Builder = require('nuxt').Builder

const rootDir = resolve(__dirname, '..')
let config = {}
try { config = require(resolve(rootDir, 'nuxt.config.js')) } catch (e) {}
const nuxt = new Nuxt(config)
var nuxtIsBuild = false

module.exports = {
  'default' : {
    asyncHookTimeout: 120000,
    nuxt: nuxt,
    adminUsername: "admin",
    adminPassword: "adminadmin",
    userUsername: "testuser",
    userPassword: "testtest",
    userWithoutAppPermissionUsername: "testuser2",
    userWithoutAppPermossionPassword: "testtest"
  },
  before : async function(cb){
      if (!nuxtIsBuild){
        console.log("Building nuxt components");
        await new Builder(nuxt).build();
        nuxtIsBuild = true
      }
      console.log("Starting nuxt server");
      nuxt.listen(3000, "localhost")
      cb();
  },
  after : async function(cb){
    console.log("Shutting down nuxt");
    await nuxt.close()
    cb();
  }
};
