module.exports = {
  url: function(){
    return this.api.launchUrl
  },
  elements: {
    loginButton: {
      selector: '#loginButton',
    },
    logoutButton: {
      selector: '#logoutButton'
    },
    banner: {
      selector: '#banner'
    },
    apps: {
      selector: '#availableApps'
    }
  },
  sections: {
    apps: {
      selector: '#availableApps',
      elements: {
        title: {
          selector: "//div[@class='card applicationCard']//child::*[@class='card-title']",
          locateStrategy: 'xpath'
        },
        description: {
          selector: "//div[@class='card applicationCard']//child::*[@class='card-text']",
          locateStrategy: 'xpath'
        },
        button: {
          selector: "//div[@class='card applicationCard']//child::*[@class='btn btn-primary']",
          locateStrategy: 'xpath'
        },
        logo: {
          selector: "//div[@class='card applicationCard']//child::*[@class='card-img-top']",
          locateStrategy: 'xpath'
        }
      }
    },
    navbar: {
        selector: '#navbar',
        elements: {
          users: {
            selector: "Users",
            locateStrategy: "link text"
          },
          home: {
            selector: "Home",
            locateStrategy: "link text"
          },
          oidc: {
            selector: "OIDC",
            locateStrategy: "link text"
          },
          loginButton: {
            selector: 'Login',
            locateStrategy: 'link text'
          }
        },
        sections: {
          usermenu: {
            selector: "#navbarRight",
            elements: {
              userNameLabel:{
                  selector: '#usermenu'
              },
              profileButton:{
                  selector: 'Profile',
                  locateStrategy: 'link text'
              },
              logoutButton: {
                selector: 'Logout',
                locateStrategy: 'link text'
              },
            }
          }
        }
    }
  }
};
