module.exports = {
  url: function(){
    return this.api.launchUrl + "users"
  },
  elements: {},
  commands: [
    {
      createUser: function(username, password, email){
        this.__sections.addUser
          .click("@addUserButton")
          .setValue("@inputUsername", username)
          .click("@submitUsername")
        this.__sections.editNewUser
          .setValue("@password", password)
          .setValue("@email", email)
          .click("@save")
      }
    }
  ],
  sections: {
    addUser: {
      selector: '#addUserForm',
      elements:{
        addUserButton: {
            selector: '#addUserButton'
        },
        inputUsername: {
          selector: '#input-new-username'
        },
        submitUsername: {
          selector: '#submitNewUsername'
        }
      }
    },
    editNewUser: {
      selector: '.editNewUser',
      elements: {
        password: {
          selector: '.field.password'
        },
        email: {
          selector: '.field.email'
        },
        save: {
          selector: '.btn.save'
        }
      }
    },
    editUsers:{
      selector: '#editUsers',
      elements: {
        header: {
          selector: '#editUsersHeader'
        },
        rows: {
          selector: '.editUser'
        },
        username:{
          selector: '.field.username'
        },
        password:{
          selector: '.field.password'
        },
        email:{
          selector: '.field.email'
        },
        roles:{
          selector: '.field.roles'
        },
        applications:{
          selector: '.field.applications'
        },
        addRole: {
          selector: '.btn.addRole'
        },
        addRoleInput: {
          selector: '.input.addRole'
        },
        addApp: {
          selector: '.btn.addApplication'
        },
        save: {
          selector: '.btn.save'
        },
        delete: {
          selector: '.btn.delete'
        }
      },
      sections: {
        newTestUser: {
          selector: "//*[contains(text(),'newTestUser')]//ancestor::div[1]",
          locateStrategy: 'xpath',
          elements: {
            username: {
              selector: "//*[contains(text(),'newTestUser')]",
              locateStrategy: 'xpath'
            },
            password: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div[1]//input",
              locateStrategy: 'xpath'
            },
            email: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div[2]//input",
              locateStrategy: 'xpath'
            },
            save: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//button[contains(text(), 'Save')]",
              locateStrategy: 'xpath'
            },
            addRole: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//button[contains(text(), 'Add role')]",
              locateStrategy: 'xpath'
            },
            addRoleInput: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//input[@placeholder='Enter role']",
              locateStrategy: 'xpath'
            },
            addApp: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//button[contains(text(), 'Add app')]",
              locateStrategy: 'xpath'
            },
            addAppInput: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//input[@placeholder='Enter app name']",
              locateStrategy: 'xpath'
            },
            delete: {
              selector: "//*[contains(text(),'newTestUser')]//following-sibling::div//button[contains(text(), 'Delete')]",
              locateStrategy: 'xpath'
            }
          }
        }
      }
    },
    leftSidebar: {
      selector: '#roleSidebar',
      elements: {
        all: {
          selector: "#allRoles"
        },
        userCount: {
          selector: ".roleCounter",
          index: 0
        },
        admin: {
          selector: ".roleButton",
          index: 1
        },
        adminCount: {
         selector: ".roleCounter",
         index: 1
        }
      }
    }
  }
};
